Summary: Gathman Repository
Name: gathman-release
Version: 0.10
Release: 1%{dist}
License: BSD
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Vendor: Stuart D. Gathman <stuart@gathman.org>
Packager: Stuart D. Gathman <stuart@gathman.org>
BuildArch: noarch

%description
Gathman release file. This package contains yum configuration for the
Gathman RPM Repository, as well as the public GPG keys used to sign packages.

%package devel
Summary: Gathman package development tools
Requires: python3 rpm-sign rsync openssh-clients
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description devel
Tools to publish Gathman packages

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/etc/pki/rpm-gpg
mkdir -p %{buildroot}/etc/yum.repos.d
cp -p RPM-GPG-KEY* %{buildroot}/etc/pki/rpm-gpg
%if 0%{?fedora} > 27
cp -p gathman.repo %{buildroot}/etc/yum.repos.d
%else
%if 0%{?rhel} > 8
cp -p gathman.repo.el9 %{buildroot}/etc/yum.repos.d/gathman.repo
%else
cp -p gathman.repo%{dist} %{buildroot}/etc/yum.repos.d/gathman.repo
%endif
%endif
cp -p livna.repo %{buildroot}/etc/yum.repos.d

mkdir -p %{buildroot}%{_bindir}
install -pm 755 publish.sh %{buildroot}%{_bindir}/publish

%files
%defattr(0644,bin,bin)
/etc/pki/rpm-gpg/*
/etc/yum.repos.d/*

%files devel
%defattr(0644,bin,bin)
%{_bindir}/publish

%changelog
* Thu May 19 2022 Stuart Gathman <stuart@gathman.org> 0.10-1
- devel subpackage with publish command

* Wed Jul 22 2020 Stuart Gathman <stuart@gathman.org> 0.9-1
- New signing key

* Mon Dec  2 2019 Stuart Gathman <stuart@gathman.org> 0.8-1
- Add el8

* Thu Nov 29 2018 Stuart Gathman <stuart@gathman.org> 0.7-1
- Use $releasever

* Mon Jan 15 2018 Stuart Gathman <stuart@gathman.org> 0.6-1
- Add Fedora 26, 27
- disable livna by default

* Mon Oct 31 2016 Stuart Gathman <stuart@gathman.org> 0.5-1
- Add Fedora 25

* Wed Mar 16 2016 Stuart Gathman <stuart@gathman.org> 0.4-1
- Add source support, fc24

* Mon Dec 21 2015 Stuart Gathman <stuart@gathman.org> 0.3-1
- Add el6,el7,fc23

* Wed Sep 23 2015 Stuart Gathman <stuart@gathman.org> 0.2-1
- Add livna repo

* Fri Jul 19 2013 Stuart Gathman <stuart@gathman.org> 0.1-1
- Add Fedora 19
